# Create a billing alert

Creates a billing alert

#### Usage threshold

#### Usage threshold

## Request

```curl
curl https://api.stripe.com/v1/billing/alerts \
  -u "<<YOUR_SECRET_KEY>>" \
  -d "title=API Request usage alert" \
  -d alert_type=usage_threshold \
  -d "usage_threshold[gte]=10000" \
  -d "usage_threshold[meter]=mtr_12345" \
  -d "usage_threshold[recurrence]=one_time"
```

### Response

```json
{
  "id": "alrt_12345",
  "object": "billing.alert",
  "title": "API Request usage alert",
  "livemode": true,
  "alert_type": "usage_threshold",
  "usage_threshold": {
    "gte": 10000,
    "meter": "mtr_12345",
    "recurrence": "one_time"
  },
  "status": "active"
}
```

## Returns

Returns a billing alert

## Parameters

- `alert_type` (enum, required)
  The type of alert to create.
Possible enum values:
  - `usage_threshold`
    Use `usage_threshold` if you intend for an alert to fire when a usage threshold on a meter is crossed.

- `title` (string, required)
  The title of the alert.

  The maximum length is 256 characters.

- [`usage_threshold`](https://docs.stripe.com/api/billing/alert/create.md?query=usage_threshold) (object, optional)
  The configuration of the usage threshold.
